Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-qt/sidebar.cpp File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
sidebar.cpp File Reference
`#include <QAction>`
`#include <QApplication>`
`#include <QHBoxLayout>`
`#include <QMenu>`
`#include <QPainter>`
`#include <QPaintEvent>`
`#include <QPixmap>`
`#include <QScreen>`
`#include <QTimer>`
`#include "research.h"`
`#include "client_main.h"`
`#include "fc_client.h"`
`#include "repodlgs.h"`
`#include "sidebar.h"`
`#include "sprite.h"`

Go to the source code of this file.

## Functions

void | pixmap_copy (QPixmap *dest, QPixmap *src, int src_x, int src_y, int dest_x, int dest_y, int width, int height)
static void | reduce_mod (int &val, int &mod)
void | side_show_map (bool nothing)
void | side_finish_turn (bool nothing)
void | side_rates_wdg (bool nothing)
void | side_center_unit ()
void | update_turn_done_tooltip ()
void | side_disable_endturn (bool do_restore)
void | side_blink_endturn (bool do_restore)
void | side_indicators_menu ()
void | side_right_click_diplomacy (void)
void | side_right_click_science (void)
void | side_left_click_science (bool nothing)

## Function Documentation

## ◆ pixmap_copy()

void pixmap_copy | ( | QPixmap * | dest,
|  | QPixmap * | src,
|  | int | src_x,
|  | int | src_y,
|  | int | dest_x,
|  | int | dest_y,
|  | int | width,
|  | int | height
| ) |  |

extern

Copies an area from the source pixmap to the destination pixmap.

Definition at line 100 of file canvas.cpp.

Referenced by impr_item::enterEvent(), impr_item::impr_item(), impr_item::leaveEvent(), minimap_thread::run(), progress_bar::set_pixmap(), and progress_bar::set_pixmap().

## ◆ reduce_mod()

void reduce_mod | ( | int & | mod,
|  | int & | val
| ) |  |

static

Helper function to fit tax sprites, reduces modulo, increasing value

Definition at line 49 of file sidebar.cpp.

Referenced by fc_sidewidget::update_final_pixmap().

## ◆ side_blink_endturn()

void side_blink_endturn | ( | bool | do_restore | ) |

Changes background of endturn widget if asked

Definition at line 690 of file sidebar.cpp.

Referenced by update_turn_done_button().

## ◆ side_center_unit()

void side_center_unit | ( |  | ) |

Callback to center on current unit

Definition at line 650 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ side_disable_endturn()

void side_disable_endturn | ( | bool | do_restore | ) |

Disables end turn button if asked

Definition at line 677 of file sidebar.cpp.

Referenced by fc_game_tab_widget::resizeEvent(), and set_turn_done_button_state().

## ◆ side_finish_turn()

void side_finish_turn | ( | bool | nothing | ) |

Callback for finishing turn

Definition at line 632 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ side_indicators_menu()

void side_indicators_menu | ( |  | ) |

Popups menu on indicators widget

Definition at line 702 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ side_left_click_science()

void side_left_click_science | ( | bool | nothing | ) |

Left click for science, allowing to close/open

Definition at line 809 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ side_rates_wdg()

void side_rates_wdg | ( | bool | nothing | ) |

Callback to popup rates dialog

Definition at line 640 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ side_right_click_diplomacy()

void side_right_click_diplomacy | ( | void |  | ) |

Right click for diplomacy Opens diplomacy meeting for player For observer popups menu

Definition at line 716 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ side_right_click_science()

void side_right_click_science | ( | void |  | ) |

Right click for science, allowing to choose current tech

Definition at line 760 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ side_show_map()

void side_show_map | ( | bool | nothing | ) |

Callback to show map

Definition at line 624 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ update_turn_done_tooltip()

void update_turn_done_tooltip | ( | void |  | ) |

Update tooltip of the Turn Done button

Definition at line 659 of file sidebar.cpp.

Referenced by set_turn_done_button_state().